org.eclipse.actf.util.httpproxy.core

## Interface IMessageBody

All Known Subinterfaces:
  IPushbackMessageBody

    public interface IMessageBody

Body of a HTTP request/response message.

### Method Summary

Methods
`int` `getContentLength()` Returns content length of this message body.
`InputStream` `getMessageBodyInputStream()` Returns an input stream for this message body.
`InputStream` `getMessageBodyTimeoutInputStream()` Returns an input stream for this message body whose read methods keep retrying to read even when SocketTimeoutExceptions are thrown.
`boolean` `isChunkedEncoding()` Returns whether the encoding of this message body is chunked encoding.

### Method Detail

#### getContentLength

    int getContentLength()

Returns content length of this message body. If no content length is specified or it is chunked encoding, -1 is returned.

Returns:
  content length, or -1 if no content length is specified.

#### isChunkedEncoding

    boolean isChunkedEncoding()

Returns whether the encoding of this message body is chunked encoding.

Returns:
  true if the encoding of this message body is chunked encoding

#### getMessageBodyTimeoutInputStream

    InputStream getMessageBodyTimeoutInputStream()

Returns an input stream for this message body whose read methods keep retrying to read even when SocketTimeoutExceptions are thrown.

Returns:
  input stream for this message body

#### getMessageBodyInputStream

    InputStream getMessageBodyInputStream()

Returns an input stream for this message body.

Returns:
  input stream for this message body